"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function getVariables(piralPkg, env) {
    var _a, _b;
    var excludedDependencies = ['piral', 'piral-core', 'piral-base', piralPkg.name];
    var dependencies = (_b = (_a = piralPkg.pilets) === null || _a === void 0 ? void 0 : _a.externals) !== null && _b !== void 0 ? _b : [];
    return {
        NODE_ENV: env,
        BUILD_TIME: new Date().toDateString(),
        BUILD_TIME_FULL: new Date().toISOString(),
        BUILD_PCKG_VERSION: piralPkg.version,
        BUILD_PCKG_NAME: piralPkg.name,
        SHARED_DEPENDENCIES: dependencies.filter(function (m) { return !excludedDependencies.includes(m); }).join(','),
    };
}
exports.getVariables = getVariables;
function setEnvironment(variables) {
    Object.keys(variables).forEach(function (key) { return (process.env[key] = variables[key]); });
}
exports.setEnvironment = setEnvironment;
function getDefineVariables(variables) {
    return Object.entries(variables).reduce(function (obj, _a) {
        var name = _a[0], value = _a[1];
        obj["process.env." + name] = JSON.stringify(value);
        return obj;
    }, {});
}
exports.getDefineVariables = getDefineVariables;
//# sourceMappingURL=helpers.js.map