"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var webpack_1 = require("webpack");
var helpers_1 = require("./helpers");
var pluginName = 'PiralInstanceWebpackPlugin';
var PiralInstanceWebpackPlugin = /** @class */ (function () {
    function PiralInstanceWebpackPlugin(piralPackage, options) {
        if (options === void 0) { options = {}; }
        this.piralPackage = piralPackage;
        this.options = options;
    }
    PiralInstanceWebpackPlugin.prototype.apply = function (compiler) {
        var piralPkg = this.piralPackage;
        var _a = this.options, debug = _a.debug, emulator = _a.emulator;
        var environment = process.env.NODE_ENV || 'development';
        var variables = __assign(__assign({}, helpers_1.getVariables(piralPkg, environment)), this.options.variables);
        if (debug) {
            variables.DEBUG_PIRAL = debug === true ? '1.0' : debug;
        }
        if (emulator) {
            variables.DEBUG_PILET = emulator === true ? '/$pilet-api' : emulator;
        }
        var plugins = [new webpack_1.DefinePlugin(helpers_1.getDefineVariables(variables))];
        helpers_1.setEnvironment(variables);
        plugins.forEach(function (plugin) { return plugin.apply(compiler); });
        compiler.hooks.afterEnvironment.tap(pluginName, function () { });
    };
    return PiralInstanceWebpackPlugin;
}());
exports.PiralInstanceWebpackPlugin = PiralInstanceWebpackPlugin;
//# sourceMappingURL=index.js.map